Bug 1284815 - mingw-p11-kit links unnecessarily with iconv
mingw-p11-kit links unnecessarily with iconv
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-p11-kit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 04:41 EST by Nikos Mavrogiannopoulos
Modified: 2015-12-08 14:53 EST (History)
2 users (show)

See Also:
Fixed In Version: mingw-p11-kit-0.23.1-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 14:53:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Patch (956 bytes, patch)
2015-11-24 04:41 EST, Nikos Mavrogiannopoulos
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1284810 None None None Never

  None (edit)
Description Nikos Mavrogiannopoulos 2015-11-24 04:41:14 EST
Created attachment 1098098 [details]
Proposed Patch

Description of problem:
I realized that even after gnutls was not linked with iconv, libp11-kit brought this dependency. I could not figure any reason for p11-kit to link with iconv or libintl (it provides a shared library with no real internationalization support), thus I attach a patch to remove these dependencies.
Comment 1 Fedora Update System 2015-11-25 10:43:59 EST
mingw-p11-kit-0.23.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a721916bcc
Comment 2 Fedora Update System 2015-11-25 21:53:16 EST
mingw-p11-kit-0.23.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mingw-p11-kit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a721916bcc
Comment 3 Fedora Update System 2015-12-08 14:53:46 EST
mingw-p11-kit-0.23.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.